Holger's Java API

## com.antelmann
Class AntBuildTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              com.antelmann.AntBuildTask

All Implemented Interfaces:
  Cloneable

    @ThirdParty(value="uses apache ant")
    public class AntBuildTask

extends org.apache.tools.ant.Task

AntBuildTask does some custom stuff for the release build with Ant. This class requires the package org.apache.tools.ant to be found in your classpath (usually, the ant.jar file will do in your classpath). See http://jakarta.apache.org/ant/ for details.

Author:
  Holger Antelmann

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`AntBuildTask()`

Method Summary
`void` `execute()`
`void` `setBaseDir(File baseDir)`
`void` `setParameter(String parameter)` understands createProperties, updateFiles, createLicenses

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AntBuildTask

    public AntBuildTask()

Method Detail

### setBaseDir

    public void setBaseDir(File baseDir)

### setParameter

    public void setParameter(String parameter)

  understands createProperties, updateFiles, createLicenses

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads